Bug 1045721 - (CVE-2017-9776) VUL-0: CVE-2017-9776: poppler: DoS integer overflow leading to heap buffer overflow in JBIG2Stream.cc via a crafted PDF document
(CVE-2017-9776)
VUL-0: CVE-2017-9776: poppler: DoS integer overflow leading to heap buffer ov...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/187240/
CVSSv2:SUSE:CVE-2017-9776:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 09:01 UTC by Alexander Bergmann
Modified: 2022-04-20 14:54 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2017-06-23 09:01:55 UTC
CVE-2017-9776

Integer overflow leading to Heap buffer overflow in JBIG2Stream.cc in pdftocairo
in Poppler before 0.56 allows remote attackers to cause a denial of service
(application crash) or possibly have unspecified other impact via a crafted PDF
document.

Upstream Fix:
https://cgit.freedesktop.org/poppler/poppler/commit/?id=a3a98a6d83dfbf49f565f5aa2d7c07153a7f62fc

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9776
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-9776.html
http://www.cvedetails.com/cve/CVE-2017-9776/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9776
https://bugs.freedesktop.org/show_bug.cgi?id=101541
Comment 2 Swamp Workflow Management 2017-07-28 19:10:37 UTC
SUSE-SU-2017:1999-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1041783,1042802,1042803,1043088,1045719,1045721
CVE References: CVE-2017-7511,CVE-2017-7515,CVE-2017-9406,CVE-2017-9408,CVE-2017-9775,CVE-2017-9776
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    poppler-0.43.0-16.5.1, poppler-qt-0.43.0-16.5.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    poppler-0.43.0-16.5.1, poppler-qt-0.43.0-16.5.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    poppler-0.43.0-16.5.1, poppler-qt-0.43.0-16.5.1
SUSE Linux Enterprise Server 12-SP3 (src):    poppler-0.43.0-16.5.1, poppler-qt-0.43.0-16.5.1
SUSE Linux Enterprise Server 12-SP2 (src):    poppler-0.43.0-16.5.1, poppler-qt-0.43.0-16.5.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    poppler-0.43.0-16.5.1, poppler-qt-0.43.0-16.5.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    poppler-0.43.0-16.5.1, poppler-qt-0.43.0-16.5.1
Comment 3 Swamp Workflow Management 2017-08-05 16:10:12 UTC
openSUSE-SU-2017:2056-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1041783,1042802,1042803,1043088,1045719,1045721
CVE References: CVE-2017-7511,CVE-2017-7515,CVE-2017-9406,CVE-2017-9408,CVE-2017-9775,CVE-2017-9776
Sources used:
openSUSE Leap 42.3 (src):    poppler-0.43.0-5.1, poppler-qt-0.43.0-5.1, poppler-qt5-0.43.0-5.1
openSUSE Leap 42.2 (src):    poppler-0.43.0-2.3.1, poppler-qt-0.43.0-2.3.1, poppler-qt5-0.43.0-2.3.1
Comment 4 Peter Simons 2017-08-07 09:41:07 UTC
An update fixing this issue is available.
Comment 8 Swamp Workflow Management 2018-06-28 15:18:52 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2018-07-12.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/64082
Comment 11 Gabriele Sonnu 2022-04-12 09:36:46 UTC
Done.